<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     *
     * @return void
     */
    public function run()
    {
        $this->call(CountriesTableSeeder::class);
        $this->call(StatesTableSeeder::class);
        $this->call(DistrictsTableSeeder::class);
        $this->call(CurrenciesTableSeeder::class);
        $this->call(SegmentsTableSeeder::class);
        $this->call(SegmentConstantsTableSeeder::class);

        $this->call(DummyDataSeeder::class);


        // $this->call(QAQuestionsDemoSeeder::class); //DEMO POC
        // $this->call(QAAnswerOptionsDemoSeeder::class); //DEMO POC

        // 20230928 Set 1 to Set 3
        // $this->call(QAQuestionsSeeder::class);
        // $this->call(QAAnswerOptionsSeeder::class);

        // 20231121 Set 4 to Set 6
        // $this->call(QAQuestions2Seeder::class);
        // $this->call(QAAnswerOptions2Seeder::class);
    }
}
